// @Time    :   2023-10-26 16:40:50
// @FileName:   test_controller.cpp
// @Author  :   423A35C7
// @Software:   VSCode

#include "../src/MVC.cpp"
// #ifdef __WIN32__
// 添加"-D_HAS_STD_BYTE=0",的方法不知道为什么没用
// #include <windows.h>
// #else
// #include <unistd.h>
// #define Sleep(a) usleep(a * 1000) // 需要小于一秒
// #endif

// 以下的是通过向类传递参数设置的
int probability_num = DEFAULT_PROBABILITY_NUM; // 每个时刻有1/probability_num的概率来人
int speed = DEFAULT_SPEED;                     // 每个窗口办理的速度
int_ total_time = 1e2;          // 总时刻数
int max_money = MAX_MONEY;                     // 最大携带金额
int window_num = DEFAULT_WINDOW_NUM;           // 柜台数量
double walk_speed = DEFAULT_WALK_SPEED;           // 人的走路速度

// 以下的是通过全局变量设置的
int sleep_time = DEFAULT_SLEEP_TIME; // 每次刷新间隔多少毫秒
int base_x = DEFAULT_BASE_X;         // 起始位置距离终端上边几个字符的距离
int base_y = DEFAULT_BASE_Y;         // 起始位置距离终端左边几个字符的距离
int sep = DEFAULT_SEP;               // 每个窗口间隔多少距离
int gate_x = DEFAULT_GATE_X;         // 大门的位置终端上边几个字符的距离
int gate_y = DEFAULT_GATE_Y;         // 大门的位置终端左边几个字符的距离

int main() {
    Status temp = main_simple();
    if (temp != OK) return temp;
    temp = main_multi();
    return temp;
}